# Created by pyp2rpm-3.3.1
%global pypi_name ufo2ft

%bcond_with tests

Name:           python-%{pypi_name}
Version:        2.15.0
Release:        %mkrel 1
Summary:        A bridge between UFOs and FontTools
Group:          Development/Python
License:        MIT
URL:            https://github.com/googlei18n/ufo2ft
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(booleanoperations) >= 0.9.0
BuildRequires:  python3dist(compreffor) >= 0.5.0
BuildRequires:  python3dist(cu2qu) >= 1.6.7
BuildRequires:  python3dist(fonttools) >= 4.2.0
BuildRequires:  python3dist(fs)
%if %{with tests}
BuildRequires:  python3dist(pytest) >= 2.8
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(skia-pathops) >= 0.2.0

%description
ufo2ft ("UFO to FontTools") is a fork of ufo2fdk whose goal is to generate OpenType
font binaries from UFOs without the FDK dependency. The library provides two
functions, compileOTF and compileTTF, which work exactly the same way.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ufo2ft ("UFO to FontTools") is a fork of ufo2fdk whose goal is to generate OpenType
font binaries from UFOs without the FDK dependency. The library provides two
functions, compileOTF and compileTTF, which work exactly the same way.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf Lib/*.egg-info/

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Jul 23 2020 wally <wally> 2.15.0-1.mga8
+ Revision: 1608486
- new version 2.15.0

* Tue Feb 18 2020 umeabot <umeabot> 2.11.1-2.mga8
+ Revision: 1541960
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 2.11.1-1.mga8
+ Revision: 1475751
- new version 2.11.1

* Mon Sep 16 2019 tv <tv> 2.9.1-2.mga8
+ Revision: 1442524
- rebuild for python-3.8

* Mon Aug 19 2019 wally <wally> 2.9.1-1.mga8
+ Revision: 1430066
- new version 2.9.1

* Sat Jan 12 2019 wally <wally> 2.6.0-2.mga7
+ Revision: 1355479
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 2.6.0-1.mga7
+ Revision: 1354582
- New version 2.6.0

* Fri Sep 21 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1290442
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 1.1.0-1.mga7
+ Revision: 1226609
- imported package python-ufo2ft

